'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsDouble = exports.IsFloat = exports.IsLong = exports.IsInt = exports.SwaggerHidden = exports.SwaggerTags = exports.ResponseProduces = exports.ResponseExample = exports.ResponseDescription = exports.RequestFileParam = exports.RequestConsumes = void 0;
/**
 * Document the method or class comsumes property in generated swagger docs
 */
function RequestConsumes() {
    var values = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        values[_i] = arguments[_i];
    }
    return function () { return; };
}
exports.RequestConsumes = RequestConsumes;
/**
 *
 *
 *
 * @param key
 * @constructor
 */
function RequestFileParam(key) {
    return function () { return; };
}
exports.RequestFileParam = RequestFileParam;
/**
 * A decorator to document the responses that a given service method can return. It is used to generate
 * documentation for the REST service.
 * ```typescript
 * interface MyError {
 *    message: string
 * }
 * @ Path('people')
 * class PeopleService {
 *   @ ResponseDescription<string>(200, 'Retrieve a list of people.')
 *   @ ResponseDescription<MyError>(401, 'The user is unauthorized.', {message: 'The user is not authorized to access this operation.'})
 *   @ GET
 *   getPeople(@ Param('name') name: string) {
 *      // ...
 *   }
 * }
 * ```
 * A Default response is created in swagger documentation from the method return analisys. So any response declared
 * through this decorator is an additional response created.
 * @param name
 * @param description A description for this response
 * @param example An optional example of response to be added to method documentation.
 */
function ResponseDescription(name, description, example) {
    return function () { return; };
}
exports.ResponseDescription = ResponseDescription;
/**
 * Used to provide an example of method return to be added into the method response section of the
 * generated documentation for this method.
 * ```typescript
 * @ Path('people')
 * class PeopleService {
 *   @ ResponseExample<Array<Person>>([{
 *     name: 'Joe'
 *   }])
 *   @ GET
 *   getPeople(@ Param('name') name: string): Person[] {
 *      // ...
 *   }
 * }
 * ```
 * @param example The example returned object
 */
function ResponseExample(example) {
    return function () { return; };
}
exports.ResponseExample = ResponseExample;
/**
 * Document the method or class produces property in generated swagger docs
 */
function ResponseProduces() {
    var values = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        values[_i] = arguments[_i];
    }
    return function () { return; };
}
exports.ResponseProduces = ResponseProduces;
/**
 * Add tags for a given method on generated swagger documentation.
 * ```typescript
 * @ Path('people')
 * class PeopleService {
 *   @ SwaggerTags('adiministrative', 'department1')
 *   @ GET
 *   getPeople(@ Param('name') name: string) {
 *      // ...
 *   }
 * }
 * ```
 * @param values a list of tags
 */
function SwaggerTags() {
    var values = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        values[_i] = arguments[_i];
    }
    return function () { return; };
}
exports.SwaggerTags = SwaggerTags;
/**
 * Document the method or class produces property in generated swagger docs
 */
function SwaggerHidden() {
    return function () { return; };
}
exports.SwaggerHidden = SwaggerHidden;
/**
 * Document the type of a property or parameter as `integer ($int32)` in generated swagger docs
 */
function IsInt(target, propertyKey, parameterIndex) {
    return;
}
exports.IsInt = IsInt;
/**
 * Document the type of a property or parameter as `integer ($int64)` in generated swagger docs
 */
function IsLong(target, propertyKey, parameterIndex) {
    return;
}
exports.IsLong = IsLong;
/**
 * Document the type of a property or parameter as `number ($float)` in generated swagger docs
 */
function IsFloat(target, propertyKey, parameterIndex) {
    return;
}
exports.IsFloat = IsFloat;
/**
 * Document the type of a property or parameter as `number ($double)` in generated swagger docs.
 * This is the default for `number` types without a specifying decorator.
 */
function IsDouble(target, propertyKey, parameterIndex) {
    return;
}
exports.IsDouble = IsDouble;
//# sourceMappingURL=index.js.map