/// <reference types="debug" />
import { ArrayLiteralExpression, Node } from 'typescript';
import { Decorator } from "../decorator/type";
import { MetadataGenerator, ResponseType } from './metadataGenerator';
export declare abstract class EndpointGenerator<T extends Node> {
    protected current: MetadataGenerator;
    protected path: string | undefined;
    protected node: T;
    protected debugger: import("debug").Debugger;
    protected constructor(node: T, current: MetadataGenerator);
    protected generatePath(key: Decorator.ID): void;
    protected getDecoratorValues(decoratorName: string, acceptMultiple?: boolean): Array<any>;
    protected getSecurity(): {
        name: any;
        scopes: string[];
    }[];
    protected handleRolesArray(argument: ArrayLiteralExpression): Array<string>;
    protected getExamplesValue(argument: any): any;
    protected getInitializerValue(initializer: any): any;
    protected getResponses(): Array<ResponseType>;
    getProduces(): any[];
    getConsumes(): any[];
    getTags(): any[];
    protected abstract getCurrentLocation(): string;
}
